<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:c="http://java.sun.com/jsp/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/popup/_popup_title_footer_no_dismiss.xhtml">
        <ui:param name="popup_id" value="updateTLSModal"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.questionnaire.UpdateTLSTestsAccordingToTheQuestionnaire']}</ui:define>

        <s:div id="updateTLSDiv">

            <h:panelGroup rendered="#{updateBean.isTlsTestToAdd()}">
                <p>#{messages['net.ihe.gazelle.questionnaire.TheFollowingTestsWillBeAdded']} <span class="gzl-icon-plus"></span></p>
                <dl class="dl-horizontal">
                    <ui:repeat value="#{updateBean.getTlsTestsToAdd()}" var="tlsTest">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">
                                <h:outputText value="#{tlsTest.side}"/>
                            </ui:define>
                            <h:outputText value="#{tlsTest.connectionType}"/>
                        </ui:decorate>
                    </ui:repeat>
                </dl>
            </h:panelGroup>

            <h:panelGroup rendered="#{updateBean.isTlsTestToDelete()}">
                <p>#{messages['net.ihe.gazelle.questionnaire.TheFollowingTestsWillBeDeleted']} <span class="gzl-icon-trash-o"></span></p>
                <dl class="dl-horizontal">
                    <ui:repeat value="#{updateBean.getTlsTestsToDelete()}" var="tlsTest">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">
                                <h:outputText value="#{tlsTest.side}"/>
                            </ui:define>
                            <h:outputText value="#{tlsTest.connectionType}"/>
                        </ui:decorate>
                    </ui:repeat>
                </dl>
            </h:panelGroup>

            <h:panelGroup rendered="#{not updateBean.isTlsTestToUpdate()}">
                <p>#{messages['net.ihe.gazelle.questionnaire.TheTLSTestsListIsUpToDate']} <span class="gzl-icon-checked"></span></p>
            </h:panelGroup>

        </s:div>

        <ui:define name="popup_footer">
            <h:form id="updateTLSActionForm">
                <h:panelGroup rendered="#{updateBean.isTlsTestToUpdate()}">
                    <span class="fa fa-exclamation-triangle"></span>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.audit.message.Warning']} #{messages['net.ihe.gazelle.questionnaire.TheUpdateCannotBeUndone']}"/>
                </h:panelGroup>
                <a4j:commandButton action="#{updateBean.resetTlsTestUpdate()}" oncomplete="jq162('#updateTLSModal').modal('hide')"
                                   value="#{messages['net.ihe.gazelle.atna.Cancel']}" styleClass="gzl-btn"/>
                <a4j:commandButton action="#{updateBean.confirmTlsTestUpdate()}" onclick="jq162('#updateTLSModal').modal('hide')"
                                   value="#{messages['net.ihe.gazelle.questionnaire.Update']}" disabled="#{not updateBean.isTlsTestToUpdate()}"
                                   styleClass="gzl-btn-orange" render="gazelle-messages,:tlsTestsForm,:questDetails"/>
            </h:form>
        </ui:define>
    </ui:decorate>

</ui:composition>
